# Class: Column

## Column

#### new Column

  Cassandra Column object representation

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | Object | The name of the column, can be any type, for composites use Array
  `value` | Object | The value of the column
  `timestamp` | Date | The timestamp of the value
  `ttl` | Number | The ttl for the column

  Source:
    - column.js, line 12

### Members

#### name

  The name of the column, can be any type, for composites use Array

  Source:
    - column.js, line 16

#### timestamp

  The timestamp of the value

  Default Value:
    - {Date} new Date();
  Source:
    - column.js, line 27

#### ttl

  The ttl for the column

  Source:
    - column.js, line 32

#### value

  The value of the column

  Source:
    - column.js, line 21

### Methods

#### toThrift

  Marshals the column to a thrift column using the marshallers for name and value

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `nameMarshaller` | Marshal | The marshaller for the column name
  `valueMarshaller` | Marshal | The marshaller for the column value

  Source:
    - column.js, line 41

  ##### Returns:

  The thrift column with correctly marshalled name and value
  Type
    Column